Bug 20883 - Control-panel requires libtcl8.0.so
Control-panel requires libtcl8.0.so
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: control-panel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-14 17:16 EST by Alan Hoyle
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 17:11:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Hoyle 2000-11-14 17:16:38 EST
Several components of the Control Panel appear to require libtcl8.0.so,
which is not included in the tcl-8.3.1-46.rpm installe by the RH7.0
installer.  Older version of tcl which include that lib, cannot be
installed symulataneously without breaking other things.

THis prevents me from using much of the control-panel's functionality.
Comment 1 Nalin Dahyabhai 2000-11-20 18:05:28 EST
I'm able to start each of the tools in the control panel on my test machine. 
Which components are you referring to?  Which versions of those components do
you have installed?
Comment 2 Alan Hoyle 2000-11-21 17:11:33 EST
I think this answers the second part of your question:

$ rpm -q control-panel
control-panel-3.18-2
$ rpm -q --whatrequires control-panel
printtool-3.54-1
pythonlib-1.27-1
timetool-2.7.4-3
$

In answer to the first part, here is the console output from running
control-panel and clicking on each icon in sequence:  (The last icon which runs
linuxconf does run successfully.)

# control-panel
wish: error while loading shared libraries: libtcl8.0.so: cannot open shared obj
ect file: No such file or directory
wish: error while loading shared libraries: libtcl8.0.so: cannot open shared obj
ect file: No such file or directory
wish: error while loading shared libraries: libtcl8.0.so: cannot open shared obj
ect file: No such file or directory
Traceback (innermost last):
  File "/usr/lib/rhs/netcfg/netcfg.py", line 23, in ?
    from Tkinter import *
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 5, in ?
    import _tkinter # If this fails your Python is not configured for Tk
ImportError: libtcl8.0.so: cannot open shared object file: No such file or direc
tory
Traceback (innermost last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/rhs/control-panel/python/modem.py", line 1, in ?
    from Tkinter import *
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 5, in ?
    import _tkinter # If this fails your Python is not configured for Tk
ImportError: libtcl8.0.so: cannot open shared object file: No such file or direc
tory
Traceback (innermost last):
  File "/usr/lib/rhs/kernelcfg/kernelcfg.py", line 23, in ?
    from Tkinter import *
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 5, in ?
    import _tkinter # If this fails your Python is not configured for Tk
ImportError: libtcl8.0.so: cannot open shared object file: No such file or direc
tory
wish: error while loading shared libraries: libtcl8.0.so: cannot open shared obj
ect file: No such file or directory

Comment 3 Phil Knirsch 2002-01-17 06:05:24 EST
It works fine in the current release, so i'm closing this bug to reflect the
resolution of it.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.